﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Stimulsoft.Report;
using Stimulsoft.Report.Mvc;

namespace ExportReport.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Modify this template to jump-start your ASP.NET MVC application.";

            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }


        private StiReport GetReport()
        {
            var reportPath = Server.MapPath("~/Content/Reports/TwoSimpleLists.mrt");
            var report = new StiReport();
            report.Load(reportPath);

            return report;
        }

        public ActionResult PrintPdf()
        {
            var report = this.GetReport();
            return StiMvcReportResponse.PrintAsPdf(report);
        }

        public ActionResult ExportPdf()
        {
            var report = this.GetReport();
            return StiMvcReportResponse.ResponseAsPdf(report);
        }


        [HttpPost]  //Equipamentos e Depto
        public ActionResult actionExportPDF(string reportId, string sParametros)
        {
            var report = this.GetReport();
            return StiMvcReportResponse.ResponseAsPdf(report);
        }
    }
}
